package test.sim.scenario;

import brn.sim.AbstractDriver;
import brn.sim.AbstractParams;
import brn.sim.handler.TimeBarRadioChannelHandler;
import brn.sim.handler.LinkQualityHandler;
import brn.sim.builder.*;
import brn.sim.scenario.mchannel.McExORParams;
import brn.swans.app.UdpApplication;
import test.sim.handler.McExORTestEventHandler;
import jist.swans.Node;
import jist.swans.trans.AbstractTrans;

public class TestMcExORMCh2Sim extends AbstractTestMcExOR {

  public static void main(String[] args) {
    TestMcExORMCh2Sim test = new TestMcExORMCh2Sim();

    try {
      McExORParams options = McExORParams.withMultiChannelMaxThroughput2(2);

      test.run(options);
    } catch (Exception e) {
      throw new RuntimeException(e);
    }
  }
}
